Дизайн, ПО для дизайна

Обсудим проблемы дизайна изделий

Подразделы

  1. 637
    сообщений
  2. 872
    сообщения
  3. 123
    сообщения
  4. 366
    сообщений
  5. 54
    сообщения

156 тем в этом разделе

    • 665 ответов
    • 177 562 просмотра
    • 127 ответов
    • 18 010 просмотров
    • 118 ответов
    • 19 855 просмотров
    • 113 ответа
    • 20 475 просмотров
    • 100 ответов
    • 15 949 просмотров
    • 99 ответов
    • 20 463 просмотра
    • 97 ответов
    • 21 434 просмотра
    • 90 ответов
    • 18 819 просмотров
    • 85 ответов
    • 3 465 просмотров
    • 81 ответ
    • 18 551 просмотр
    • 68 ответов
    • 16 971 просмотр
    • 64 ответа
    • 5 318 просмотров
    • 61 ответ
    • 58 292 просмотра
    • 51 ответ
    • 14 177 просмотров
    • 49 ответов
    • 12 061 просмотр
    • 49 ответов
    • 17 894 просмотра
    • 48 ответов
    • 14 887 просмотров
    • 47 ответов
    • 10 023 просмотра
    • 45 ответов
    • 12 846 просмотров
    • 43 ответа
    • 2 178 просмотров
    • 40 ответов
    • 8 599 просмотров
    • 37 ответов
    • 8 759 просмотров
    • 37 ответов
    • 8 140 просмотров
    • 37 ответов
    • 11 366 просмотров
    • 35 ответов
    • 955 просмотров
    • 33 ответа
    • 10 283 просмотра
    • 32 ответа
    • 9 228 просмотров
    • 32 ответа
    • 8 705 просмотров
    • 30 ответов
    • 5 994 просмотра
    • 29 ответов
    • 12 555 просмотров
    • 28 ответов
    • 10 726 просмотров
    • 27 ответов
    • 5 469 просмотров
    • 26 ответов
    • 7 869 просмотров
    • 26 ответов
    • 8 546 просмотров
    • 26 ответов
    • 1 763 просмотра
    • 25 ответов
    • 6 161 просмотр
    • 25 ответов
    • 7 422 просмотра
    • 23 ответа
    • 4 956 просмотров
    • 22 ответа
    • 7 823 просмотра
    • 22 ответа
    • 11 302 просмотра
    • 21 ответ
    • 4 182 просмотра
    • 21 ответ
    • 12 153 просмотра
    • 21 ответ
    • 13 633 просмотра
    • 20 ответов
    • 10 561 просмотр
    • 20 ответов
    • 6 740 просмотров
    • 19 ответов
    • 4 949 просмотров
    • 19 ответов
    • 8 094 просмотра
    • 19 ответов
    • 6 239 просмотров
    • 18 ответов
    • 4 517 просмотров
    • 18 ответов
    • 14 708 просмотров
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг. 
    • lobzik
      Лет 20 назад один мой коллега рассказывал, как он ходил на хоккей Германия -СССР. После 17-й шайбы в ворота Германии он встал и ушел..
      Я вот потерял его координаты, чтобы позвонить и сказать, что они таки научились играть.  Кстати, не пойму , откуда столько радости от победы над командами, которые траву то зеленую первый раз увидели в России?
      Все равно что хоккеистам радоваться по поводу победы над сборной Туниса.